## vdirsyncer 0.14.0

=== Makefile ===
# See the documentation on how to run the tests.

export DAV_SERVER := skip
export REMOTESTORAGE_SERVER := skip
export RADICALE_BACKEND := filesystem
export REQUIREMENTS := release
export TESTSERVER_BASE := ./tests/storage/servers/
export CI := false
export DETERMINISTIC_TESTS := false

all:
	$(error Take a look at https://vdirsyncer.pimutils.org/en/stable/tutorial.html#installation)

install-servers:
	set -ex; \
	for server in $(DAV_SERVER) $(REMOTESTORAGE_SERVER); do \
		if [ ! "$$(ls $(TESTSERVER_BASE)$$server/)" ]; then \
			git submodule update --init -- "$(TESTSERVER_BASE)$$server"; \
		fi; \
		(cd $(TESTSERVER_BASE)$$server && sh install.sh); \
	done

install-test: install-servers
	(python --version | grep -vq 'Python 3.3') || pip install enum34
	pip install -r test-requirements.txt
	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
		pip install -U --force-reinstall \
			git+https://github.com/DRMacIver/hypothesis \
			git+https://github.com/pytest-dev/pytest; \
	fi
	[ $(CI) != "true" ] || pip install coverage codecov

test:
	if [ "$(CI)" = "true" ]; then \
		coverage run --source=vdirsyncer/ --module pytest; \
	else \
		py.test; \
	fi; \
	STATUS="$$?"; \
	set -e; \
	[ "$(CI)" != "true" ] || codecov; \
	[ "$(CI)" != "true" ] || scripts/upload-hypothesis-db.sh; \
	[ "$$STATUS" = "0" ]

install-style: install-docs
	pip install flake8 flake8-import-order flake8-bugbear
	
style:
	flake8
	! git grep -i syncroniz */*
	! git grep -i 'text/icalendar' */*
	sphinx-build -W -b html ./docs/ ./docs/_build/html/
	python3 scripts/make_travisconf.py | diff -b .travis.yml -

travis-conf:
	python3 scripts/make_travisconf.py > .travis.yml

install-docs:
	pip install -r docs-requirements.txt

docs:
	cd docs && make html

sh:  # open subshell with default test config
	$$SHELL;

linkcheck:
	sphinx-build -W -b linkcheck ./docs/ ./docs/_build/linkcheck/

release:
	python setup.py sdist bdist_wheel upload

install-dev:
	set -xe && if [ "$$REMOTESTORAGE_SERVER" != "skip" ]; then \
		pip install -e .[remotestorage]; \
	else \
		pip install -e .; \
	fi
	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
	    pip install -U --force-reinstall \
			git+https://github.com/mitsuhiko/click \
			git+https://github.com/kennethreitz/requests; \
	elif [ "$$REQUIREMENTS" = "minimal" ]; then \
		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
	fi

ssh-submodule-urls:
	git submodule foreach "\
		echo -n 'Old: '; \
		git remote get-url origin; \
		git remote set-url origin \$$(git remote get-url origin | sed -e 's/https:\/\/github\.com\//git@github.com:/g'); \
		echo -n 'New URL: '; \
		git remote get-url origin"

.PHONY: docs

=== debian/changelog ===
vdirsyncer (0.14.0-3) unstable; urgency=medium

  * d/patches: Direct users to Debian BTS to avoid bothering upstream with
    bugs against old versions

 -- Filip Pytloun <filip@pytloun.cz>  Thu, 05 Jan 2017 10:30:17 +0100

vdirsyncer (0.14.0-2) unstable; urgency=medium

  * d/patches: Fix patch fixing tests on slow platforms
  * raise required debhelper version to 10

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 14 Nov 2016 12:07:31 +0100

vdirsyncer (0.14.0-1) unstable; urgency=medium

  * New upstream release (Closes: #842173)
  * d/patches: Rebased for new release

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 31 Oct 2016 14:32:37 +0100

vdirsyncer (0.12.1-1) unstable; urgency=medium

  * new upstream version
  * Fix FTBFS on armhf by disabling HealthCheck.too_slow test

 -- Filip Pytloun <filip@pytloun.cz>  Fri, 09 Sep 2016 10:49:21 +0200

vdirsyncer (0.11.3-1) unstable; urgency=low

  * initial release (Closes: #745027)

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 23 Aug 2016 17:29:54 +0200

## vdirsyncer 0.14.1

=== debian/changelog ===
vdirsyncer (0.14.1-1+deb9u1) stretch; urgency=medium

  * Backport fix for discovering Google contacts (Closes: #883299)

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 15 Jan 2018 13:37:09 +0100

vdirsyncer (0.14.1-1) unstable; urgency=medium

  * New upstream release
  * d/patches: drop 0005-Direct-users-to-Debian-BTS.patch as upstream docs
    already covers Debian packages

 -- Filip Pytloun <filip@pytloun.cz>  Mon, 27 Mar 2017 09:41:21 +0200

=== debian/control ===
Source: vdirsyncer
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Filip Pytloun <filip@pytloun.cz>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-exec,
               dh-python (>= 2.20160609~),
               python3-all,
               python3-atomicwrites (>= 0.1.7),
               python3-click (>= 5.0),
               python3-click-log (>= 0.1.3),
               python3-click-threading (>= 0.2),
               python3-hypothesis (>= 3.1),
               python3-lxml,
               python3-pytest,
               python3-pytest-localserver,
               python3-requests (>=2.4.1),
               python3-requests-toolbelt (>= 0.4.0),
               python3-setuptools,
               python3-setuptools-scm,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 3.9.8
Homepage: https://github.com/pimutils/vdirsyncer
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/vdirsyncer/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/vdirsyncer/trunk/

Package: vdirsyncer
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-requests-oauthlib
Description: Synchronize calendars and contacts
 Vdirsyncer synchronizes your calendars and addressbooks between two storages.
 The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
 folder or file. The local data can then be accessed via a variety of programs,
 none of which have to know or worry about syncing to a server.
 .
 It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.

Package: vdirsyncer-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Synchronize calendars and contacts - documentation
 Vdirsyncer synchronizes your calendars and addressbooks between two storages.
 The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
 folder or file. The local data can then be accessed via a variety of programs,
 none of which have to know or worry about syncing to a server.
 .
 It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.
 .
 This package contains the documentation for vdirsyncer.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python3=debian/vdirsyncer
export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/.hypothesis'
export PYBUILD_NAME=vdirsyncer
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR) make -C docs man

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
	# Remove unwanted license file, we already reference d/copyright
	rm -f $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html/_sources/license.txt
endif

override_dh_auto_test:
	LC_ALL=C.UTF-8 \
	DETERMINISTIC_TESTS=false \
	CI=false \
	REMOTESTORAGE_SERVER=skip \
	DAV_SERVER=skip \
	RADICALE_BACNEND=filesystem \
	dh_auto_test

## vdirsyncer 0.16.0

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,40 @@
 
 export DAV_SERVER := skip
 export REMOTESTORAGE_SERVER := skip
-export RADICALE_BACKEND := filesystem
 export REQUIREMENTS := release
 export TESTSERVER_BASE := ./tests/storage/servers/
 export CI := false
+export COVERAGE := $(CI)
 export DETERMINISTIC_TESTS := false
+export ETESYNC_TESTS := false
+
+CODECOV_PATH = /tmp/codecov.sh
+
+PYTEST_ARGS =
+TEST_EXTRA_PACKAGES =
+ifeq ($(COVERAGE), true)
+	TEST_EXTRA_PACKAGES += pytest-cov
+	PYTEST_ARGS += --cov-config .coveragerc --cov vdirsyncer
+endif
+
+ifeq ($(ETESYNC_TESTS), true)
+	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager
+	TEST_EXTRA_PACKAGES += django djangorestframework wsgi_intercept drf-nested-routers
+endif
+
+ifeq ($(CI), true)
+test:
+	curl -s https://codecov.io/bash > $(CODECOV_PATH)
+	py.test $(PYTEST_ARGS) tests/unit/
+	bash $(CODECOV_PATH) -c -F unit
+	py.test $(PYTEST_ARGS) tests/system/
+	bash $(CODECOV_PATH) -c -F system
+	py.test $(PYTEST_ARGS) tests/storage/
+	bash $(CODECOV_PATH) -c -F storage
+else
+test:
+	py.test $(PYTEST_ARGS)
+endif
 
 all:
 	$(error Take a look at https://vdirsyncer.pimutils.org/en/stable/tutorial.html#installation)
@@ -26,24 +55,13 @@
 	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
 		pip install -U --force-reinstall \
 			git+https://github.com/DRMacIver/hypothesis \
+			git+https://github.com/kennethreitz/requests \
 			git+https://github.com/pytest-dev/pytest; \
 	fi
-	[ $(CI) != "true" ] || pip install coverage codecov
-
-test:
-	if [ "$(CI)" = "true" ]; then \
-		coverage run --source=vdirsyncer/ --module pytest; \
-	else \
-		py.test; \
-	fi; \
-	STATUS="$$?"; \
-	set -e; \
-	[ "$(CI)" != "true" ] || codecov; \
-	[ "$(CI)" != "true" ] || scripts/upload-hypothesis-db.sh; \
-	[ "$$STATUS" = "0" ]
+	[ -z "$(TEST_EXTRA_PACKAGES)" ] || pip install $(TEST_EXTRA_PACKAGES)
 
 install-style: install-docs
-	pip install flake8 flake8-import-order flake8-bugbear
+	pip install flake8 flake8-import-order flake8-bugbear>=17.3.0
 	
 style:
 	flake8
@@ -71,16 +89,14 @@
 	python setup.py sdist bdist_wheel upload
 
 install-dev:
-	set -xe && if [ "$$REMOTESTORAGE_SERVER" != "skip" ]; then \
-		pip install -e .[remotestorage]; \
-	else \
-		pip install -e .; \
-	fi
-	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
+	pip install -e .
+	[ "$(REMOTESTORAGE_SERVER)" = "skip" ] || pip install -e .[remotestorage]
+	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -e .[etesync]
+	set -xe && if [ "$(REQUIREMENTS)" = "devel" ]; then \
 	    pip install -U --force-reinstall \
 			git+https://github.com/mitsuhiko/click \
 			git+https://github.com/kennethreitz/requests; \
-	elif [ "$$REQUIREMENTS" = "minimal" ]; then \
+	elif [ "$(REQUIREMENTS)" = "minimal" ]; then \
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi

=== debian/changelog ===
vdirsyncer (0.16.0-3) unstable; urgency=medium

  * Update patch
    0004-Suppress-HealthCheck.too_slow-to-fix-build-on-slow-p.patch:
    use enums rather tan strings to identify health checks to skip.
    Should fix errors about slow data generation on ARM.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Jul 2017 00:37:24 +0000

vdirsyncer (0.16.0-2) unstable; urgency=medium

  * Install upstream changelog. Closes: #867790
  * Add patch 0006-disable-sync.patch: Disable two tests that sometimes
    hang. Closes: #836667

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 Jul 2017 01:01:04 +0000

vdirsyncer (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to uploaders.
  * Refresh patches
    + 0001-Don-t-use-subtest.patch
    + 0003-Skip-SSL-tests.patch
    + 0004-Suppress-HealthCheck.too_slow-to-fix-build-on-slow-p.patch
  * d/control: Per upstream, mark as supporting Python >= 3.3.
  * d/rules: Force use of Python3 version of sphinx-build.
  * Bump standards version to 4.0.0 (no changes).

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 03 Jul 2017 00:44:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: vdirsyncer
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Filip Pytloun <filip@pytloun.cz>
+Uploaders: Filip Pytloun <filip@pytloun.cz>, Jelmer Vernooĳ <jelmer@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 10),
@@ -21,7 +21,8 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
+X-Python3-Version: >= 3.3
 Homepage: https://github.com/pimutils/vdirsyncer
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/vdirsyncer/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/vdirsyncer/trunk/

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=$(CURDIR) make -C docs man
+	PYTHONPATH=$(CURDIR) make -C docs man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html docs $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html
+	PYTHONPATH=. /usr/share/sphinx/scripts/python3/sphinx-build -b html docs $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 	# Remove unwanted license file, we already reference d/copyright
 	rm -f $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html/_sources/license.txt
@@ -26,3 +26,6 @@
 	DAV_SERVER=skip \
 	RADICALE_BACNEND=filesystem \
 	dh_auto_test
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG.rst

## vdirsyncer 0.16.2

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,32 @@
-# See the documentation on how to run the tests.
+# See the documentation on how to run the tests:
+# https://vdirsyncer.pimutils.org/en/stable/contributing.html
 
+# Which DAV server to run the tests against (radicale, xandikos, skip, owncloud, nextcloud, ...)
 export DAV_SERVER := skip
-export REMOTESTORAGE_SERVER := skip
+
+# release (install release versions of dependencies)
+# development (install development versions of some of vdirsyncer's dependencies)
+# or minimal (install oldest version of each dependency that is supported by vdirsyncer)
 export REQUIREMENTS := release
-export TESTSERVER_BASE := ./tests/storage/servers/
-export CI := false
-export COVERAGE := $(CI)
+
+# Set this to true if you run vdirsyncer's test as part of e.g. packaging.
 export DETERMINISTIC_TESTS := false
+
+# Run the etesync testsuite.
 export ETESYNC_TESTS := false
 
-CODECOV_PATH = /tmp/codecov.sh
+# Assume to run in Travis. Don't use this outside of a virtual machine. It will
+# heavily "pollute" your system.
+export CI := false
 
+# Whether to generate coverage data while running tests.
+export COVERAGE := $(CI)
+
+# Additional arguments that should be passed to py.test.
 PYTEST_ARGS =
+
+# Variables below this line are not very interesting for getting started.
+
 TEST_EXTRA_PACKAGES =
 ifeq ($(COVERAGE), true)
 	TEST_EXTRA_PACKAGES += pytest-cov
@@ -22,6 +37,9 @@
 	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager
 	TEST_EXTRA_PACKAGES += django djangorestframework wsgi_intercept drf-nested-routers
 endif
+
+export TESTSERVER_BASE := ./tests/storage/servers/
+CODECOV_PATH = /tmp/codecov.sh
 
 ifeq ($(CI), true)
 test:
@@ -34,7 +52,7 @@
 	bash $(CODECOV_PATH) -c -F storage
 else
 test:
-	py.test $(PYTEST_ARGS)
+	py.test $(PYTEST_ARGS) tests/
 endif
 
 all:
@@ -42,7 +60,7 @@
 
 install-servers:
 	set -ex; \
-	for server in $(DAV_SERVER) $(REMOTESTORAGE_SERVER); do \
+	for server in $(DAV_SERVER); do \
 		if [ ! "$$(ls $(TESTSERVER_BASE)$$server/)" ]; then \
 			git submodule update --init -- "$(TESTSERVER_BASE)$$server"; \
 		fi; \
@@ -90,7 +108,6 @@
 
 install-dev:
 	pip install -e .
-	[ "$(REMOTESTORAGE_SERVER)" = "skip" ] || pip install -e .[remotestorage]
 	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -e .[etesync]
 	set -xe && if [ "$(REQUIREMENTS)" = "devel" ]; then \
 	    pip install -U --force-reinstall \

=== debian/changelog ===
vdirsyncer (0.16.2-4) unstable; urgency=medium

  * New upstream release
  * Fix lintian warning by removing extra license file
  * Require python-click-log >= 0.2.0

 -- Filip Pytloun <filip@pytloun.cz>  Wed, 06 Sep 2017 13:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-all,
                python3-atomicwrites (>= 0.1.7),
                python3-click (>= 5.0),
-               python3-click-log (>= 0.1.3),
+               python3-click-log (>= 0.2.0),
                python3-click-threading (>= 0.2),
                python3-hypothesis (>= 3.1),
                python3-lxml,

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import vdirsyncer; print(vdirsyncer)" ; done
Depends: python3-all, vdirsyncer

Test-Command: vdirsyncer --help
Depends: vdirsyncer

## vdirsyncer 0.16.7

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,8 @@
 export ETESYNC_TESTS := false
 
 # Assume to run in Travis. Don't use this outside of a virtual machine. It will
-# heavily "pollute" your system.
+# heavily "pollute" your system, such as attempting to install a new Python
+# systemwide.
 export CI := false
 
 # Whether to generate coverage data while running tests.
@@ -28,6 +29,7 @@
 # Variables below this line are not very interesting for getting started.
 
 TEST_EXTRA_PACKAGES =
+
 ifeq ($(COVERAGE), true)
 	TEST_EXTRA_PACKAGES += pytest-cov
 	PYTEST_ARGS += --cov-config .coveragerc --cov vdirsyncer
@@ -38,21 +40,23 @@
 	TEST_EXTRA_PACKAGES += django djangorestframework wsgi_intercept drf-nested-routers
 endif
 
+PYTEST = py.test $(PYTEST_ARGS)
+
 export TESTSERVER_BASE := ./tests/storage/servers/
 CODECOV_PATH = /tmp/codecov.sh
 
 ifeq ($(CI), true)
 test:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
-	py.test $(PYTEST_ARGS) tests/unit/
+	$(PYTEST) tests/unit/
 	bash $(CODECOV_PATH) -c -F unit
-	py.test $(PYTEST_ARGS) tests/system/
+	$(PYTEST) tests/system/
 	bash $(CODECOV_PATH) -c -F system
-	py.test $(PYTEST_ARGS) tests/storage/
+	$(PYTEST) tests/storage/
 	bash $(CODECOV_PATH) -c -F storage
 else
 test:
-	py.test $(PYTEST_ARGS) tests/
+	$(PYTEST)
 endif
 
 all:
@@ -68,8 +72,7 @@
 	done
 
 install-test: install-servers
-	(python --version | grep -vq 'Python 3.3') || pip install enum34
-	pip install -r test-requirements.txt
+	pip install -Ur test-requirements.txt
 	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
 		pip install -U --force-reinstall \
 			git+https://github.com/DRMacIver/hypothesis \
@@ -79,7 +82,7 @@
 	[ -z "$(TEST_EXTRA_PACKAGES)" ] || pip install $(TEST_EXTRA_PACKAGES)
 
 install-style: install-docs
-	pip install flake8 flake8-import-order flake8-bugbear>=17.3.0
+	pip install -U flake8 flake8-import-order 'flake8-bugbear>=17.3.0' autopep8
 	
 style:
 	flake8
@@ -92,13 +95,10 @@
 	python3 scripts/make_travisconf.py > .travis.yml
 
 install-docs:
-	pip install -r docs-requirements.txt
+	pip install -Ur docs-requirements.txt
 
 docs:
 	cd docs && make html
-
-sh:  # open subshell with default test config
-	$$SHELL;
 
 linkcheck:
 	sphinx-build -W -b linkcheck ./docs/ ./docs/_build/linkcheck/
@@ -106,9 +106,16 @@
 release:
 	python setup.py sdist bdist_wheel upload
 
+release-deb:
+	sh scripts/release-deb.sh debian jessie
+	sh scripts/release-deb.sh debian stretch
+	sh scripts/release-deb.sh ubuntu trusty
+	sh scripts/release-deb.sh ubuntu xenial
+	sh scripts/release-deb.sh ubuntu zesty
+
 install-dev:
 	pip install -e .
-	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -e .[etesync]
+	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -Ue .[etesync]
 	set -xe && if [ "$(REQUIREMENTS)" = "devel" ]; then \
 	    pip install -U --force-reinstall \
 			git+https://github.com/mitsuhiko/click \
@@ -116,6 +123,13 @@
 	elif [ "$(REQUIREMENTS)" = "minimal" ]; then \
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi
+
+install-git-hooks: install-style
+	echo "make style-autocorrect" > .git/hooks/pre-commit
+	chmod +x .git/hooks/pre-commit
+
+style-autocorrect:
+	git diff --cached --name-only | egrep '\.py$$' | xargs --no-run-if-empty autopep8 -ri
 
 ssh-submodule-urls:
 	git submodule foreach "\

=== debian/changelog ===
vdirsyncer (0.16.7-2) unstable; urgency=medium

  * d/control: Fix FTBFS caused by missing comma in suggests

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 22 Jan 2019 10:32:31 +0100

vdirsyncer (0.16.7-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Filip Pytloun ]
  * New upstream release, Closes: #909996
  * d/control: VCS urls are now fixed, Closes: #917092
  * d/control: suggest vdirsyncer-doc, Closes: #902669
  * d/patches: Update patches
  * d/control: Bump standards version
  * d/compat: Bump debhelper version

 -- Filip Pytloun <filip@pytloun.cz>  Tue, 27 Feb 2018 21:11:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Filip Pytloun <filip@pytloun.cz>, Jelmer Vernooĳ <jelmer@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
                dh-exec,
                dh-python (>= 2.20160609~),
                python3-all,
@@ -21,16 +21,15 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.0.0
-X-Python3-Version: >= 3.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/pimutils/vdirsyncer
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/vdirsyncer/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/vdirsyncer/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/vdirsyncer.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/vdirsyncer
 
 Package: vdirsyncer
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python3-requests-oauthlib
+Suggests: python3-requests-oauthlib, vdirsyncer-doc
 Description: Synchronize calendars and contacts
  Vdirsyncer synchronizes your calendars and addressbooks between two storages.
  The most popular purpose is to synchronize a CalDAV/CardDAV server with a local

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	dh_sphinxdoc -O--buildsystem=python_distutils
 	# Remove unwanted license file, we already reference d/copyright
 	rm -f $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html/_sources/license.txt
+	rm -f $(CURDIR)/debian/vdirsyncer-doc/usr/share/doc/vdirsyncer-doc/html/_sources/license.rst.txt
 endif
 
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import vdirsyncer; print(vdirsyncer)" ; done
Depends: python3-all, vdirsyncer

Test-Command: vdirsyncer --help
Depends: vdirsyncer

=== debian/watch ===
version=3
#opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/vdirsyncer/vdirsyncer-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## vdirsyncer 0.16.8

=== Makefile ===
--- 
+++ 
@@ -36,8 +36,8 @@
 endif
 
 ifeq ($(ETESYNC_TESTS), true)
-	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager
-	TEST_EXTRA_PACKAGES += django djangorestframework wsgi_intercept drf-nested-routers
+	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager@v0.5.2
+	TEST_EXTRA_PACKAGES += django djangorestframework==3.8.2 wsgi_intercept drf-nested-routers
 endif
 
 PYTEST = py.test $(PYTEST_ARGS)
@@ -46,14 +46,17 @@
 CODECOV_PATH = /tmp/codecov.sh
 
 ifeq ($(CI), true)
+test-storage:
+	curl -s https://codecov.io/bash > $(CODECOV_PATH)
+	$(PYTEST) tests/storage/
+	bash $(CODECOV_PATH) -c -F storage
 test:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
 	$(PYTEST) tests/unit/
 	bash $(CODECOV_PATH) -c -F unit
 	$(PYTEST) tests/system/
 	bash $(CODECOV_PATH) -c -F system
-	$(PYTEST) tests/storage/
-	bash $(CODECOV_PATH) -c -F storage
+	[ "$(ETESYNC_TESTS)" = "false" ] || make test-storage
 else
 test:
 	$(PYTEST)
@@ -71,7 +74,7 @@
 		(cd $(TESTSERVER_BASE)$$server && sh install.sh); \
 	done
 
-install-test: install-servers
+install-test: install-servers install-dev
 	pip install -Ur test-requirements.txt
 	set -xe && if [ "$$REQUIREMENTS" = "devel" ]; then \
 		pip install -U --force-reinstall \
@@ -81,18 +84,18 @@
 	fi
 	[ -z "$(TEST_EXTRA_PACKAGES)" ] || pip install $(TEST_EXTRA_PACKAGES)
 
-install-style: install-docs
-	pip install -U flake8 flake8-import-order 'flake8-bugbear>=17.3.0' autopep8
-	
+install-test-storage: install-test
+	# This is just an alias
+	true
+
+install-style: install-docs install-dev
+	pip install pre-commit
+
 style:
-	flake8
+	pre-commit run --all
 	! git grep -i syncroniz */*
 	! git grep -i 'text/icalendar' */*
 	sphinx-build -W -b html ./docs/ ./docs/_build/html/
-	python3 scripts/make_travisconf.py | diff -b .travis.yml -
-
-travis-conf:
-	python3 scripts/make_travisconf.py > .travis.yml
 
 install-docs:
 	pip install -Ur docs-requirements.txt
@@ -114,6 +117,7 @@
 	sh scripts/release-deb.sh ubuntu zesty
 
 install-dev:
+	pip install -U pip setuptools wheel
 	pip install -e .
 	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -Ue .[etesync]
 	set -xe && if [ "$(REQUIREMENTS)" = "devel" ]; then \
@@ -124,13 +128,6 @@
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi
 
-install-git-hooks: install-style
-	echo "make style-autocorrect" > .git/hooks/pre-commit
-	chmod +x .git/hooks/pre-commit
-
-style-autocorrect:
-	git diff --cached --name-only | egrep '\.py$$' | xargs --no-run-if-empty autopep8 -ri
-
 ssh-submodule-urls:
 	git submodule foreach "\
 		echo -n 'Old: '; \

=== debian/changelog ===
vdirsyncer (0.16.8-2) unstable; urgency=medium

  * Team upload.
  * The test_metadata_normalization sometime fails to run under 200ms which
    prevent the test suite from succeeding, while there isn't an actual
    failure. Disabling deadlines for hypothesis tests.
  * Run actual test suite instead of superficial tests for autopkgtest

 -- Baptiste Beauplat <lyknode@cilg.org>  Tue, 23 Feb 2021 19:05:29 +0100

vdirsyncer (0.16.8-1) unstable; urgency=medium

  * Team Upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Baptiste Beauplat ]
  * New upstream release 0.16.8:
    - Don't use setuptools_scm with sphinx (Closes: #951948)
  * Ignore modification on version.py (re-generated for every version)
  * Rediff patches (renumbered)
  * Add patch to replace deprecated getiterator() by python3.9 compatible
    iter() (Closes: #975494)
  * Fix quoting in verbosity value test
  * Bump debhelper-compat to 13
  * Bump Standard-Version to 4.5.1
  * Set Rules-Requires-Root: no in d/control
  * Update watch file:
    - Use version 4
    - Correctly handle pre-releases versions
  * Remove built docs on cleanup
  * Rename source TODO.Debian to TODO
  * Add user systemd service and timer (Closes: #925538)
  * Add upstream metadata
  * Add Salsa CI pipeline

  [ Mattia Rizzolo ]
  * Rename d/{docs,install,manapges} to d/vdirsyncer.{docs,install.manpages},
    for better clarity.

 -- Baptiste Beauplat <lyknode@cilg.org>  Fri, 22 Jan 2021 11:44:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: vdirsyncer
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Filip Pytloun <filip@pytloun.cz>, Jelmer Vernooĳ <jelmer@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-python (>= 2.20160609~),
                python3-all,
@@ -21,10 +21,11 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/pimutils/vdirsyncer
-Vcs-Git: https://salsa.debian.org/python-team/applications/vdirsyncer.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/vdirsyncer
+Vcs-Git: https://salsa.debian.org/python-team/packages/vdirsyncer.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/vdirsyncer
+Rules-Requires-Root: no
 
 Package: vdirsyncer
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -30,3 +30,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst
+
+override_dh_installsystemduser:
+	dh_installsystemduser --no-enable

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do python3 -m pytest tests/; done
Depends: python3-pytest,
         python3-pytest-localserver,
         python3-hypothesis,
         vdirsyncer

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/vdirsyncer/vdirsyncer-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## vdirsyncer 0.18.0

=== Makefile ===
# See the documentation on how to run the tests:
# https://vdirsyncer.pimutils.org/en/stable/contributing.html

# Which DAV server to run the tests against (radicale, xandikos, skip, owncloud, nextcloud, ...)
export DAV_SERVER := skip

# release (install release versions of dependencies)
# development (install development versions of some of vdirsyncer's dependencies)
# or minimal (install oldest version of each dependency that is supported by vdirsyncer)
export REQUIREMENTS := release

# Set this to true if you run vdirsyncer's test as part of e.g. packaging.
export DETERMINISTIC_TESTS := false

# Run the etesync testsuite.
export ETESYNC_TESTS := false

# Assume to run in CI. Don't use this outside of a virtual machine. It will
# heavily "pollute" your system, such as attempting to install a new Python
# systemwide.
export CI := false

# Whether to generate coverage data while running tests.
export COVERAGE := $(CI)

# Additional arguments that should be passed to py.test.
PYTEST_ARGS =

# Variables below this line are not very interesting for getting started.

TEST_EXTRA_PACKAGES =

ifeq ($(ETESYNC_TESTS), true)
	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager@v0.5.2
	TEST_EXTRA_PACKAGES += django djangorestframework==3.8.2 wsgi_intercept drf-nested-routers
endif

PYTEST = py.test $(PYTEST_ARGS)
CODECOV_PATH = /tmp/codecov.sh

all:
	$(error Take a look at https://vdirsyncer.pimutils.org/en/stable/tutorial.html#installation)

ci-test:
	curl -s https://codecov.io/bash > $(CODECOV_PATH)
	$(PYTEST) tests/unit/
	bash $(CODECOV_PATH) -c -F unit
	$(PYTEST) tests/system/
	bash $(CODECOV_PATH) -c -F system
	[ "$(ETESYNC_TESTS)" = "false" ] || make test-storage

ci-test-storage:
	curl -s https://codecov.io/bash > $(CODECOV_PATH)
	set -ex; \
	for server in $(DAV_SERVER); do \
		DAV_SERVER=$$server $(PYTEST) --cov-append tests/storage; \
	done
	bash $(CODECOV_PATH) -c -F storage

test:
	$(PYTEST)

style:
	pre-commit run --all
	! git grep -i syncroniz */*
	! git grep -i 'text/icalendar' */*
	sphinx-build -W -b html ./docs/ ./docs/_build/html/

install-docs:
	pip install -Ur docs-requirements.txt

docs:
	cd docs && make html
	sphinx-build -W -b linkcheck ./docs/ ./docs/_build/linkcheck/

release-deb:
	sh scripts/release-deb.sh debian jessie
	sh scripts/release-deb.sh debian stretch
	sh scripts/release-deb.sh ubuntu trusty
	sh scripts/release-deb.sh ubuntu xenial
	sh scripts/release-deb.sh ubuntu zesty

install-dev:
	pip install -U pip setuptools wheel
	pip install -e .
	pip install -Ur test-requirements.txt $(TEST_EXTRA_PACKAGES)
	pip install pre-commit
	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -Ue .[etesync]
	set -xe && if [ "$(REQUIREMENTS)" = "minimal" ]; then \
		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
	fi

.PHONY: docs

=== debian/changelog ===
vdirsyncer (0.18.0-6) unstable; urgency=medium

  * avoid checking flaky test test_fuzzing;
    closes: bug#1005968, thanks to Luca Boccassi
  * update copyright info: update coverage
  * modernize build rules;
    build-depend on dh-sequence-python3 dh-sequence-sphinxdoc
    pybuild-plugin-pyproject (not dh-python)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Feb 2022 23:34:53 +0100

vdirsyncer (0.18.0-5) unstable; urgency=medium

  * fix autopkgtest check with non-default python
    (not repeatedly with default python)

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 11 Dec 2021 09:00:57 +0100

vdirsyncer (0.18.0-4) unstable; urgency=medium

  * really fix copy auto-generated version.py for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Dec 2021 01:36:47 +0100

vdirsyncer (0.18.0-3) unstable; urgency=medium

  * fix copy auto-generated version.py for autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Dec 2021 18:07:42 +0100

vdirsyncer (0.18.0-2) unstable; urgency=medium

  * fix have autopkgtest depend on python3-pytest-cov

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2021 23:00:11 +0100

vdirsyncer (0.18.0-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + several improvements to testsuite;
      closes: bug#994119, #997497,
      thanks to Benedikt Tuchen and Lucas Nussbaum

  [ Jonas Smedegaard ]
  * add myself as uploader
  * update git-buildpackage config:
    + enable pristine-tar
    + enable signed tags
    + filter-out any .git* file
    + use DEP14 branches debian/latest and upstream/latest
  * update watch file:
    + track Github source
    + mangle upstream prerelease versions
    + add usage comment
  * drop patches 1 4 5 8,
    seemingly obsoleted by upstream testsuite improvements
  * drop patches 6 7, adopted upstream
  * tighten, update and renumber remaining patches,
    and add debian/patches/README file
    documenting patch numbering micro-policy
  * add source helper script copyright-check
  * update copyright info:
    + update coverage
    + license my contributions as GPL-3+
    + add related lintian overrides
  * add patch 2002 to relax dependency on Python module click-log
  * tighten build-dependencies
    on python3-click python3-click-threading python3-requests
  * declare compliance with Debian Policy 4.6.0
  * cleanup autogenerated version file
  * fix use debhelper buildsystem pybuild
    (not accidentally makefile)
  * build-depend on python3-pytest-cov
  * avoid installing misplaced .coverage files

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2021 04:00:56 +0100

vdirsyncer (0.16.8-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-python.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 22 Aug 2021 03:37:19 +0100

=== debian/control ===
Source: vdirsyncer
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Filip Pytloun <filip@pytloun.cz>,
 Jelmer Vernooĳ <jelmer@debian.org>,
 Jonas Smedegaard <dr@jones.dk>,
Section: utils
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 pybuild-plugin-pyproject,
 python3-all,
 python3-atomicwrites (>= 0.1.7),
 python3-click (>= 5.0),
 python3-click (<< 9),
 python3-click-log (>= 0.2.0),
 python3-click-threading (>= 0.5),
 python3-hypothesis (>= 3.1),
 python3-lxml,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-localserver,
 python3-requests (>= 2.20.0),
 python3-requests-toolbelt (>= 0.4.0),
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.0
Homepage: https://github.com/pimutils/vdirsyncer
Vcs-Git: https://salsa.debian.org/python-team/packages/vdirsyncer.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/vdirsyncer
Rules-Requires-Root: no

Package: vdirsyncer
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-requests-oauthlib,
 vdirsyncer-doc,
Description: Synchronize calendars and contacts
 Vdirsyncer synchronizes your calendars and addressbooks between two storages.
 The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
 folder or file. The local data can then be accessed via a variety of programs,
 none of which have to know or worry about syncing to a server.
 .
 It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.

Package: vdirsyncer-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Synchronize calendars and contacts - documentation
 Vdirsyncer synchronizes your calendars and addressbooks between two storages.
 The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
 folder or file. The local data can then be accessed via a variety of programs,
 none of which have to know or worry about syncing to a server.
 .
 It aims to be for CalDAV and CardDAV what OfflineIMAP is for IMAP.
 .
 This package contains the documentation for vdirsyncer.

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,9 @@
 export PYBUILD_DESTDIR_python3=debian/vdirsyncer
 export PYBUILD_AFTER_INSTALL=rm -rf '{destdir}/{install_dir}/.hypothesis'
 export PYBUILD_NAME=vdirsyncer
-%:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+export PYBUILD_TEST_ARGS = -k 'not test_fuzzing'
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	PYTHONPATH=$(CURDIR) make -C docs man SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 
 override_dh_sphinxdoc:
@@ -25,11 +23,16 @@
 	CI=false \
 	REMOTESTORAGE_SERVER=skip \
 	DAV_SERVER=skip \
-	RADICALE_BACNEND=filesystem \
-	dh_auto_test
+	dh_auto_test --buildsystem=pybuild
+
+execute_after_dh_auto_install:
+	find debian -type f -name .coverage -delete
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.rst
 
 override_dh_installsystemduser:
 	dh_installsystemduser --no-enable
+
+%:
+	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command:
 set -e;
 [ -e vdirsyncer/version.py ] || cp /usr/lib/python3/dist-packages/vdirsyncer/version.py vdirsyncer;
 for py in $(py3versions -r 2>/dev/null); do $py -m pytest -k 'not test_fuzzing' tests/; done
Depends:
 python3-hypothesis,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-localserver,
 vdirsyncer,

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
uversionmangle=s/a/~a/,\
dversionmangle=auto \
https://github.com/pimutils/vdirsyncer/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## vdirsyncer 0.19.0

=== Makefile ===
--- 
+++ 
@@ -11,9 +11,6 @@
 
 # Set this to true if you run vdirsyncer's test as part of e.g. packaging.
 export DETERMINISTIC_TESTS := false
-
-# Run the etesync testsuite.
-export ETESYNC_TESTS := false
 
 # Assume to run in CI. Don't use this outside of a virtual machine. It will
 # heavily "pollute" your system, such as attempting to install a new Python
@@ -30,11 +27,6 @@
 
 TEST_EXTRA_PACKAGES =
 
-ifeq ($(ETESYNC_TESTS), true)
-	TEST_EXTRA_PACKAGES += git+https://github.com/etesync/journal-manager@v0.5.2
-	TEST_EXTRA_PACKAGES += django djangorestframework==3.8.2 wsgi_intercept drf-nested-routers
-endif
-
 PYTEST = py.test $(PYTEST_ARGS)
 CODECOV_PATH = /tmp/codecov.sh
 
@@ -43,19 +35,16 @@
 
 ci-test:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
-	$(PYTEST) tests/unit/
-	bash $(CODECOV_PATH) -c -F unit
-	$(PYTEST) tests/system/
-	bash $(CODECOV_PATH) -c -F system
-	[ "$(ETESYNC_TESTS)" = "false" ] || make test-storage
+	$(PYTEST) --cov vdirsyncer --cov-append tests/unit/ tests/system/
+	bash $(CODECOV_PATH) -c
 
 ci-test-storage:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
 	set -ex; \
 	for server in $(DAV_SERVER); do \
-		DAV_SERVER=$$server $(PYTEST) --cov-append tests/storage; \
+		DAV_SERVER=$$server $(PYTEST) --cov vdirsyncer --cov-append tests/storage; \
 	done
-	bash $(CODECOV_PATH) -c -F storage
+	bash $(CODECOV_PATH) -c
 
 test:
 	$(PYTEST)
@@ -85,7 +74,6 @@
 	pip install -e .
 	pip install -Ur test-requirements.txt $(TEST_EXTRA_PACKAGES)
 	pip install pre-commit
-	[ "$(ETESYNC_TESTS)" = "false" ] || pip install -Ue .[etesync]
 	set -xe && if [ "$(REQUIREMENTS)" = "minimal" ]; then \
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi

=== debian/changelog ===
vdirsyncer (0.19.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Debian Janitor ]
  * relax to build-depend unversioned on
    python3-atomicwrites python3-click python3-click-log
    python3-hypothesis, python3-requests python3-requests-toolbelt

  [ Jonas Smedegaard ]
  * update watch file: handle beta releases
  * update and unfuzz patches
  * update copyright info: update coverage
  * add NEWS section,
    covering changes to TLS configuration and storage plugin "google"
  * build- and autopkgtest-depend on
    python3-aioresponses python3-pytest-asyncio
    python3-pytest-httpserver python3-trustme
    (not python3-pytest-localserver);
    build-depend on python3-aiohttp python3-aiostream
    (not python3-click-threading);
    suggest python3-aiohttp-oauthlib
    (not python3-requests-oauthlib)
  * declare compliance with Debian Policy 4.6.2
  * annotate test-only build-dependencies

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 17 Dec 2022 15:00:08 +0100

vdirsyncer (0.18.0-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:05:30 +0200

vdirsyncer (0.18.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * add python3-all dependency to d/tests/control: the test is written
    so it iterates over all python3 versions but does not depend on
    all pythons. Closes: #1009204

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Apr 2022 17:39:33 +0300

## vdirsyncer 0.19.2

=== debian/changelog ===
vdirsyncer (0.19.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Jul 2023 10:08:10 +0200

vdirsyncer (0.19.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 20:13:45 +0200

=== debian/tests/control ===
Test-Command:
 set -e;
 [ -e vdirsyncer/version.py ] || cp /usr/lib/python3/dist-packages/vdirsyncer/version.py vdirsyncer;
 for py in $(py3versions -r 2>/dev/null); do $py -m pytest -k 'not test_fuzzing' tests/; done
Depends:
 python3-aioresponses,
 python3-all,
 python3-hypothesis,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-httpserver,
 python3-trustme,
 vdirsyncer,

## vdirsyncer 0.19.3

=== Makefile ===
--- 
+++ 
@@ -20,14 +20,8 @@
 # Whether to generate coverage data while running tests.
 export COVERAGE := $(CI)
 
-# Additional arguments that should be passed to py.test.
-PYTEST_ARGS =
-
 # Variables below this line are not very interesting for getting started.
 
-TEST_EXTRA_PACKAGES =
-
-PYTEST = py.test $(PYTEST_ARGS)
 CODECOV_PATH = /tmp/codecov.sh
 
 all:
@@ -35,32 +29,16 @@
 
 ci-test:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
-	$(PYTEST) --cov vdirsyncer --cov-append tests/unit/ tests/system/
+	pytest --cov vdirsyncer --cov-append tests/unit/ tests/system/
 	bash $(CODECOV_PATH) -c
 
 ci-test-storage:
 	curl -s https://codecov.io/bash > $(CODECOV_PATH)
 	set -ex; \
 	for server in $(DAV_SERVER); do \
-		DAV_SERVER=$$server $(PYTEST) --cov vdirsyncer --cov-append tests/storage; \
+		DAV_SERVER=$$server pytest --cov vdirsyncer --cov-append tests/storage; \
 	done
 	bash $(CODECOV_PATH) -c
-
-test:
-	$(PYTEST)
-
-style:
-	pre-commit run --all
-	! git grep -i syncroniz */*
-	! git grep -i 'text/icalendar' */*
-	sphinx-build -W -b html ./docs/ ./docs/_build/html/
-
-install-docs:
-	pip install -Ur docs-requirements.txt
-
-docs:
-	cd docs && make html
-	sphinx-build -W -b linkcheck ./docs/ ./docs/_build/linkcheck/
 
 release-deb:
 	sh scripts/release-deb.sh debian jessie
@@ -72,8 +50,7 @@
 install-dev:
 	pip install -U pip setuptools wheel
 	pip install -e .
-	pip install -Ur test-requirements.txt $(TEST_EXTRA_PACKAGES)
-	pip install pre-commit
+	pip install -Ur test-requirements.txt -r docs-requirements.txt pre-commit
 	set -xe && if [ "$(REQUIREMENTS)" = "minimal" ]; then \
 		pip install -U --force-reinstall $$(python setup.py --quiet minimal_requirements); \
 	fi

=== debian/changelog ===
vdirsyncer (0.19.3-5) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 15:10:18 +0200

vdirsyncer (0.19.3-4) experimental; urgency=medium

  * add patches proposed upstream:
    + accept newer branch of module aiostream
    + fix HealthCheck.all() deprecation warnings
  * renumber patch and tighten DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 30 Jun 2025 07:26:37 +0200

vdirsyncer (0.19.3-3) unstable; urgency=medium

  * Team upload.
  * Remove reference to defunct `python_distutils` d/rules (Closes: #1092759)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 23 Feb 2025 15:15:37 +0100

vdirsyncer (0.19.3-2) unstable; urgency=medium

  * Team upload.
  * Fix _Component.__delitem__ with adjacent identical keys
    (Closes: #1088043).

 -- Colin Watson <cjwatson@debian.org>  Sat, 21 Dec 2024 21:09:37 +0000

vdirsyncer (0.19.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tolerate warnings in autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Oct 2024 03:51:06 +0100

=== debian/control ===
--- 
+++ 
@@ -12,24 +12,28 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  pybuild-plugin-pyproject,
+ python3-aiohttp (>= 3.8),
+ python3-aioresponses <!nocheck>,
+ python3-aiostream (>= 0.4.3),
  python3-all,
- python3-atomicwrites (>= 0.1.7),
- python3-click (>= 5.0),
+ python3-atomicwrites,
+ python3-click,
  python3-click (<< 9),
- python3-click-log (>= 0.2.0),
- python3-click-threading (>= 0.5),
- python3-hypothesis (>= 3.1),
+ python3-click-log,
+ python3-hypothesis <!nocheck>,
  python3-lxml,
- python3-pytest,
- python3-pytest-cov,
- python3-pytest-localserver,
- python3-requests (>= 2.20.0),
- python3-requests-toolbelt (>= 0.4.0),
+ python3-pytest <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-httpserver <!nocheck>,
+ python3-requests,
+ python3-requests-toolbelt,
  python3-setuptools,
  python3-setuptools-scm,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+ python3-trustme <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://github.com/pimutils/vdirsyncer
 Vcs-Git: https://salsa.debian.org/python-team/packages/vdirsyncer.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/vdirsyncer
@@ -41,7 +45,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
- python3-requests-oauthlib,
+ python3-aiohttp-oauthlib,
  vdirsyncer-doc,
 Description: Synchronize calendars and contacts
  Vdirsyncer synchronizes your calendars and addressbooks between two storages.
@@ -57,6 +61,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: Synchronize calendars and contacts - documentation
  Vdirsyncer synchronizes your calendars and addressbooks between two storages.
  The most popular purpose is to synchronize a CalDAV/CardDAV server with a local
